opensdr_check_var(OPENSDR_PORT_DIR)

set(OPENSDR_PORT_TARGET_PREFIX "tms320c674x")
set(OPENSDR_PORT_INCLUDES "${OPENSDR_PORT_DIR}/include" "${OPENSDR_PORT_TI_DSPLIB_C674x_ROOT}/packages" "${OPENSDR_PORT_TI_MATHLIB_C674x_ROOT}/packages")

file(GLOB_RECURSE OPENSDR_PORT_HEADERS
    "${OPENSDR_PORT_DIR}/*.h"
)

file(GLOB_RECURSE OPENSDR_PORT_SOURCES
    "${OPENSDR_PORT_DIR}/*.c"
)

set(TI_C674x_DSPLIB "${TI_DSPLIB_C674x_ROOT}/packages/ti/dsplib/lib/dsplib.lib")
set(TI_C674x_DSPLIB_cn "${TI_DSPLIB_C674x_ROOT}/packages/ti/dsplib/lib/dsplib_cn.lib")
set(TI_C674x_MATHLIB "${TI_MATHLIB_C674x_ROOT}/packages/ti/mathlib/lib/mathlib.lib")

set(OPENSDR_PORT_LINK_LIBS ${TI_C674x_DSPLIB} ${TI_C674x_DSPLIB_cn} ${TI_C674x_MATHLIB})

opensdr_dev_var(OPENSDR_PORT_INCLUDES OPENSDR_PORT_HEADERS OPENSDR_PORT_SOURCES OPENSDR_PORT_LINK_LIBS)
